function GoH5_DeathKnight_DefaultVariables()

	-- Minimap SavedVariables
	GoH_MinimapIcon = {
		GoH_MinimapPos = -61 -- default position of the minimap icon in degrees
	}

       GoHv5_DeathKnight_Data = { };
        	GoHv5_DeathKnight_Data.config = { };

			GoH5_DeathKnight_SavedVariables();

end


function GoH5_DeathKnight_SavedVariables()

				-- GOH SETTINGS: USE MINIMAP SPEC ICON
	  			if GoHv5_DeathKnight_Data.config.Use_Minimap_Spec_Icon == nil then
					GoHv5_DeathKnight_Data.config.Use_Minimap_Spec_Icon = "YES";
				end
				-- GOH SETTINGS: YOUR SPEC IS
	  			if GoHv5_DeathKnight_Data.config.Current_Spec == nil then
					GoHv5_DeathKnight_Data.config.Current_Spec = "Nothing";
				end
				-- GOH SETTINGS: SHOW TOOLTIP AURA SOURCE
	  			if GoHv5_DeathKnight_Data.config.Show_Tooltip_AuraSource == nil then
					GoHv5_DeathKnight_Data.config.Show_Tooltip_AuraSource = "NO";
				end
				-- GOH SETTINGS: SHOW TOOLTIP SPELL AND ITEM IDS
	  			if GoHv5_DeathKnight_Data.config.Show_Tooltip_SpellIDs == nil then
					GoHv5_DeathKnight_Data.config.Show_Tooltip_SpellIDs = "NO";
				end
				-- GOH SETTINGS: HEALTH PERCENTAGE
	  			if GoHv5_DeathKnight_Data.config.Health_Percentage == nil then
					GoHv5_DeathKnight_Data.config.Health_Percentage = .20;
				end
	  			if GoHv5_DeathKnight_Data.config.Health_Percentage_Value == nil then
					GoHv5_DeathKnight_Data.config.Health_Percentage_Value = "20"
				end

				-- GOH SETTINGS: HEALTH RESET
	  			if GoHv5_DeathKnight_Data.config.Health_Percentage == "25" then
					GoHv5_DeathKnight_Data.config.Health_Percentage = .25;
					GoHv5_DeathKnight_Data.config.Health_Percentage_Value = "25";
				end
	  			if GoHv5_DeathKnight_Data.config.Health_Percentage == "20" then
					GoHv5_DeathKnight_Data.config.Health_Percentage = .20;
					GoHv5_DeathKnight_Data.config.Health_Percentage_Value = "20";
				end
	  			if GoHv5_DeathKnight_Data.config.Health_Percentage == "15" then
					GoHv5_DeathKnight_Data.config.Health_Percentage = .15;
					GoHv5_DeathKnight_Data.config.Health_Percentage_Value = "15";
				end
	  			if GoHv5_DeathKnight_Data.config.Health_Percentage == "10" then
					GoHv5_DeathKnight_Data.config.Health_Percentage = .10;
					GoHv5_DeathKnight_Data.config.Health_Percentage_Value = "10";
				end
	  			if GoHv5_DeathKnight_Data.config.Health_Percentage == "5" then
					GoHv5_DeathKnight_Data.config.Health_Percentage = .05;
					GoHv5_DeathKnight_Data.config.Health_Percentage_Value = "5";
				end

				-- GOH SETTINGS: MANA PERCENTAGE
	  			if GoHv5_DeathKnight_Data.config.Mana_Percentage == nil then
					GoHv5_DeathKnight_Data.config.Mana_Percentage = .15;
				end
	  			if GoHv5_DeathKnight_Data.config.Mana_Percentage_Value == nil then
					GoHv5_DeathKnight_Data.config.Mana_Percentage_Value = "15"
				end
				-- GOH SETTINGS: HEALTH RESET
	  			if GoHv5_DeathKnight_Data.config.Mana_Percentage == "25" then
					GoHv5_DeathKnight_Data.config.Mana_Percentage = .25;
					GoHv5_DeathKnight_Data.config.Mana_Percentage_Value = "25";
				end
	  			if GoHv5_DeathKnight_Data.config.Mana_Percentage == "20" then
					GoHv5_DeathKnight_Data.config.Mana_Percentage = .20;
					GoHv5_DeathKnight_Data.config.Mana_Percentage_Value = "20";
				end
	  			if GoHv5_DeathKnight_Data.config.Mana_Percentage == "15" then
					GoHv5_DeathKnight_Data.config.Mana_Percentage = .15;
					GoHv5_DeathKnight_Data.config.Mana_Percentage_Value = "15";
				end
	  			if GoHv5_DeathKnight_Data.config.Mana_Percentage == "10" then
					GoHv5_DeathKnight_Data.config.Mana_Percentage = .10;
					GoHv5_DeathKnight_Data.config.Mana_Percentage_Value = "10";
				end
	  			if GoHv5_DeathKnight_Data.config.Mana_Percentage == "5" then
					GoHv5_DeathKnight_Data.config.Mana_Percentage = .05;
					GoHv5_DeathKnight_Data.config.Mana_Percentage_Value = "5";
				end

				-- GOH SETTINGS: USE MANA WARNING
	  			if GoHv5_DeathKnight_Data.config.Use_Mana_Warning == nil then
					GoHv5_DeathKnight_Data.config.Use_Mana_Warning = "NO";
				end
				-- GOH SETTINGS: USE MANA WARNING SOUND
	  			if GoHv5_DeathKnight_Data.config.Use_Mana_Warning_Sound == nil then
					GoHv5_DeathKnight_Data.config.Use_Mana_Warning_Sound = "NO";
				end
				-- GOH SETTINGS: USE MANA WARNING EMOTE
	  			if GoHv5_DeathKnight_Data.config.Use_Mana_Warning_Emote == nil then
					GoHv5_DeathKnight_Data.config.Use_Mana_Warning_Emote = "NO";
				end
				-- GOH SETTINGS: USE MANA WARNING EMOTE SHOWN
	  			if GoHv5_DeathKnight_Data.config.Use_Mana_Warning_Emote_Shown == nil then
					GoHv5_DeathKnight_Data.config.Use_Mana_Warning_Emote_Shown = "NO";
				end

				-- GOH SETTINGS: USE HEALTH WARNING
	  			if GoHv5_DeathKnight_Data.config.Use_Health_Warning == nil then
					GoHv5_DeathKnight_Data.config.Use_Health_Warning = "NO";
				end
				-- GOH SETTINGS: USE HEALTH WARNING SOUND
	  			if GoHv5_DeathKnight_Data.config.Use_Health_Warning_Sound == nil then
					GoHv5_DeathKnight_Data.config.Use_Health_Warning_Sound = "NO";
				end
				-- GOH SETTINGS: USE HEALTH WARNING EMOTE
	  			if GoHv5_DeathKnight_Data.config.Use_Health_Warning_Emote == nil then
					GoHv5_DeathKnight_Data.config.Use_Health_Warning_Emote = "NO";
				end
				-- GOH SETTINGS: USE HEALTH WARNING EMOTE SHOWN
	  			if GoHv5_DeathKnight_Data.config.Use_Health_Warning_Emote_Shown == nil then
					GoHv5_DeathKnight_Data.config.Use_Health_Warning_Emote_Shown = "NO";
				end
				
				-- GOH SETTING: USE FIGHT IMAGE
	  			if GoHv5_DeathKnight_Data.config.Use_Fight_Image == nil then
					GoHv5_DeathKnight_Data.config.Use_Fight_Image = "NO";
				end
				
				-- GOH SETTING: USE FATALITY IMAGE
	  			if GoHv5_DeathKnight_Data.config.Use_Fatality_Image == nil then
					GoHv5_DeathKnight_Data.config.Use_Fatality_Image = "NO";
				end


				-- GOH SETTINGS: USE MK FONT
	  			if GoHv5_DeathKnight_Data.config.Use_MK_Font == nil then
					GoHv5_DeathKnight_Data.config.Use_MK_Font = "NO";
				end

				-- GOH DEATHKNIGHT: Page Tab
	  			if GoHv5_DeathKnight_Data.config.Page_Tab == nil then
					GoHv5_DeathKnight_Data.config.Page_Tab = "ONE";
				end

				-- GOH SETTINGS: Page Tab
	  			if GoHv5_DeathKnight_Data.config.Settings_Page_Tab == nil then
					GoHv5_DeathKnight_Data.config.Settings_Page_Tab = "ONE";
				end

				-- GOH DEATHKNIGHT: INCLUDE RUDE SOUNDS
	  			if GoHv5_DeathKnight_Data.config.Include_Rude_Sounds == nil then
					GoHv5_DeathKnight_Data.config.Include_Rude_Sounds = "NO";
				end

				-- GOH DEATHKNIGHT: INCLUDE HEADLESS HORSEMAN SOUND
	  			if GoHv5_DeathKnight_Data.config.Include_Headless_Horseman_Sound == nil then
					GoHv5_DeathKnight_Data.config.Include_Headless_Horseman_Sound = "NO";
				end

				-- GOH DEATHKNIGHT: INCLUDE GOTCHA SOUND
	  			if GoHv5_DeathKnight_Data.config.Include_Gotcha_Sound == nil then
					GoHv5_DeathKnight_Data.config.Include_Gotcha_Sound = "NO";
				end

				-- GOH DEATHKNIGHT: UNIT IN COMBAT
	  			if GoHv5_DeathKnight_Data.config.Unit_In_Combat == nil then
					GoHv5_DeathKnight_Data.config.Unit_In_Combat = "NO";
				end

				-- GOH MENU: SHOW OR HIDE THE MINIMAP ICON
	  			if GoHv5_DeathKnight_Data.config.Show_Minimap_Icon == nil then
					GoHv5_DeathKnight_Data.config.Show_Minimap_Icon = "YES";
				end

				-- GOH AUTO DECLINE: CHARTER PETITIONS
	  			if GoHv5_DeathKnight_Data.config.Block_Charter_Petitions == nil then
					GoHv5_DeathKnight_Data.config.Block_Charter_Petitions = "NO";
				end

				-- GOH AUTO DECLINE: GUILD INVITES
	  			if GoHv5_DeathKnight_Data.config.Block_Guild_Invites == nil then
					GoHv5_DeathKnight_Data.config.Block_Guild_Invites = "NO";
				end
				
				-- GOH SETTING: GENDER BENDER
	  			if GoHv5_DeathKnight_Data.config.Gender_Bender == nil then
					GoHv5_DeathKnight_Data.config.Gender_Bender = "NO";
				end

				-- GOH AUTO DECLINE: PARTY INVITES
	  			if GoHv5_DeathKnight_Data.config.Block_Party_Invites == nil then
					GoHv5_DeathKnight_Data.config.Block_Party_Invites = "NO";
				end

				-- GOH AUTO DECLINE: ARENA INVITES
	  			if GoHv5_DeathKnight_Data.config.Block_Arena_Invites == nil then
					GoHv5_DeathKnight_Data.config.Block_Arena_Invites = "NO";
				end

				-- GOH AUTO DECLINE: DUEL REQUESTS
	  			if GoHv5_DeathKnight_Data.config.Block_Duel_Requests == nil then
					GoHv5_DeathKnight_Data.config.Block_Duel_Requests = "NO";
				end

				-- GOH AUTO DECLINE: TRADE REQUESTS
	  			if GoHv5_DeathKnight_Data.config.Block_Trade_Requests == nil then
					GoHv5_DeathKnight_Data.config.Block_Trade_Requests = "NO";
				end

				-- GOH AUTO DECLINE: SEND REPLY WHISPER
	  			if GoHv5_DeathKnight_Data.config.Send_AutoDecline_Whisper == nil then
					GoHv5_DeathKnight_Data.config.Send_AutoDecline_Whisper = "NO";
				end

				-- GOH AUTO DECLINE: REPLY WHISPER MESSAGE
	  			if GoHv5_DeathKnight_Data.config.AutoDecline_Whisper_Message == nil then
					GoHv5_DeathKnight_Data.config.AutoDecline_Whisper_Message = "Your request has been automatically declined.";
				end

				-- GOH AUTO DND: AUCTION HOUSE
	  			if GoHv5_DeathKnight_Data.config.AutoDND_Auction_House == nil then
					GoHv5_DeathKnight_Data.config.AutoDND_Auction_House = "NO";
				end

				-- GOH AUTO DND: AUCTION HOUSE - SEND AUTO REPLY WHISPER
	  			if GoHv5_DeathKnight_Data.config.AutoDND_Auction_House_Send_Whisper_Reply == nil then
					GoHv5_DeathKnight_Data.config.AutoDND_Auction_House_Send_Whisper_Reply = "NO";
				end

				-- GOH AUTO DND: AUCTION HOUSE - REPLY WHISPER MESSAGE
	  			if GoHv5_DeathKnight_Data.config.AutoDND_Auction_House_Whisper_Message == nil then
					GoHv5_DeathKnight_Data.config.AutoDND_Auction_House_Whisper_Message = "I'm busy at the moment, sorry.";
				end

				-- GOH AUTO DND: IN COMBAT
	  			if GoHv5_DeathKnight_Data.config.AutoDND_In_Combat == nil then
					GoHv5_DeathKnight_Data.config.AutoDND_In_Combat = "NO";
				end

				-- GOH AUTO DND: IN COMBAT - SEND AUTO REPLY WHISPER
	  			if GoHv5_DeathKnight_Data.config.AutoDND_In_Combat_Send_Whisper_Reply == nil then
					GoHv5_DeathKnight_Data.config.AutoDND_In_Combat_Send_Whisper_Reply = "NO";
				end

				-- GOH AUTO DND: IN COMBAT - REPLY WHISPER MESSAGE
	  			if GoHv5_DeathKnight_Data.config.AutoDND_In_Combat_Whisper_Message == nil then
					GoHv5_DeathKnight_Data.config.AutoDND_In_Combat_Whisper_Message = "I'm in combat at the moment, sorry.";
				end

				-- GOH TIMER
	  			if GoHv5_DeathKnight_Data.config.GoH_Timer_Ready == nil then
					GoHv5_DeathKnight_Data.config.GoH_Timer_Ready = "YES";
				end
				-- GOH TIMER
	  			if GoHv5_DeathKnight_Data.config.GoH_Timer_Time == nil then
					GoHv5_DeathKnight_Data.config.GoH_Timer_Time = 0;
				end


				-- BEGIN DEATH KNIGHT SPELL SETTINGS
	  			if GoHv5_DeathKnight_Data.config.Death_Grip == nil then
					GoHv5_DeathKnight_Data.config.Death_Grip = "NO";
				end

	  			if GoHv5_DeathKnight_Data.config.Death_and_Decay == nil then
					GoHv5_DeathKnight_Data.config.Death_and_Decay = "NO";
				end

	  			if GoHv5_DeathKnight_Data.config.Death_Coil == nil then
					GoHv5_DeathKnight_Data.config.Death_Coil = "NO";
				end

	  			if GoHv5_DeathKnight_Data.config.Empower_Rune_Weapon == nil then
					GoHv5_DeathKnight_Data.config.Empower_Rune_Weapon = "NO";
				end

	  			if GoHv5_DeathKnight_Data.config.Icebound_Fortitude == nil then
					GoHv5_DeathKnight_Data.config.Icebound_Fortitude = "NO";
				end

	  			if GoHv5_DeathKnight_Data.config.AntiMagic_Shell == nil then
					GoHv5_DeathKnight_Data.config.AntiMagic_Shell = "NO";
				end

	  			if GoHv5_DeathKnight_Data.config.AntiMagic_Zone == nil then
					GoHv5_DeathKnight_Data.config.AntiMagic_Zone = "NO";
				end

	  			if GoHv5_DeathKnight_Data.config.Raise_Ally == nil then
					GoHv5_DeathKnight_Data.config.Raise_Ally = "NO";
				end

	  			if GoHv5_DeathKnight_Data.config.Void_Touch_Debuff == nil then
					GoHv5_DeathKnight_Data.config.Void_Touch_Debuff = "YES";
				end

	  			if GoHv5_DeathKnight_Data.config.Raise_Dead == nil then
					GoHv5_DeathKnight_Data.config.Raise_Dead = "YES";
				end

	  			if GoHv5_DeathKnight_Data.config.Army_of_the_Dead == nil then
					GoHv5_DeathKnight_Data.config.Army_of_the_Dead = "NO";
				end

	  			if GoHv5_DeathKnight_Data.config.Summon_Gargoyle == nil then
					GoHv5_DeathKnight_Data.config.Summon_Gargoyle = "NO";
				end

	  			if GoHv5_DeathKnight_Data.config.Dark_Transformation == nil then
					GoHv5_DeathKnight_Data.config.Dark_Transformation = "NO";
				end

	  			if GoHv5_DeathKnight_Data.config.Mind_Freeze == nil then
					GoHv5_DeathKnight_Data.config.Mind_Freeze = "NO";
				end

	  			if GoHv5_DeathKnight_Data.config.Blood_Boil == nil then
					GoHv5_DeathKnight_Data.config.Blood_Boil = "NO";
				end

	  			if GoHv5_DeathKnight_Data.config.Dark_Command == nil then
					GoHv5_DeathKnight_Data.config.Dark_Command = "NO";
				end

	  			if GoHv5_DeathKnight_Data.config.Chains_of_Ice == nil then
					GoHv5_DeathKnight_Data.config.Chains_of_Ice = "NO";
				end

	  			if GoHv5_DeathKnight_Data.config.Path_of_Frost == nil then
					GoHv5_DeathKnight_Data.config.Path_of_Frost = "NO";
				end
				
				if GoHv5_DeathKnight_Data.config.Howling_Blast == nil then
					GoHv5_DeathKnight_Data.config.Howling_Blast = "NO";
				end

	  			if GoHv5_DeathKnight_Data.config.Dancing_Rune_Weapon == nil then
					GoHv5_DeathKnight_Data.config.Dancing_Rune_Weapon = "NO";
				end

	  			if GoHv5_DeathKnight_Data.config.Every_Man_For_Himself == nil then
					GoHv5_DeathKnight_Data.config.Every_Man_For_Himself = "YES";
				end

	  			if GoHv5_DeathKnight_Data.config.Remorseless_Winter == nil then
					GoHv5_DeathKnight_Data.config.Remorseless_Winter = "NO";
				end

	  			if GoHv5_DeathKnight_Data.config.Asphyxiate == nil then
					GoHv5_DeathKnight_Data.config.Asphyxiate = "NO";
				end

	  			if GoHv5_DeathKnight_Data.config.Gorfiends_Grasp == nil then
					GoHv5_DeathKnight_Data.config.Gorfiends_Grasp = "NO";
				end

	  			if GoHv5_DeathKnight_Data.config.Stupid_Login_Sound == nil then
					GoHv5_DeathKnight_Data.config.Stupid_Login_Sound = "NO";
				end

	  			if GoHv5_DeathKnight_Data.config.Menu_OpenClose_Sounds == nil then
					GoHv5_DeathKnight_Data.config.Menu_OpenClose_Sounds = "YES";
				end

	  			if GoHv5_DeathKnight_Data.config.GoH_MenuOpenedAlready == nil then
					GoHv5_DeathKnight_Data.config.GoH_MenuOpenedAlready = "NO";
				end

	  			if GoHv5_DeathKnight_Data.config.Menu_Fight_Sound == nil then
					GoHv5_DeathKnight_Data.config.Menu_Fight_Sound = "NO";
				end
				
				if GoHv5_DeathKnight_Data.config.Menu_Pet_Music == nil then
					GoHv5_DeathKnight_Data.config.Menu_Pet_Music = "NO";
				end
				
				if GoHv5_DeathKnight_Data.config.Menu_Auction_House_Sound == nil then
					GoHv5_DeathKnight_Data.config.Menu_Auction_House_Sound = "NO";
				end
				if GoHv5_DeathKnight_Data.config.Menu_Mail_Show_Sound == nil then
					GoHv5_DeathKnight_Data.config.Menu_Mail_Show_Sound = "NO";
				end
				if GoHv5_DeathKnight_Data.config.Menu_Merchant_Show_Sound == nil then
					GoHv5_DeathKnight_Data.config.Menu_Merchant_Show_Sound = "NO";
				end
				if GoHv5_DeathKnight_Data.config.Menu_Transmogrify_Open_Sound == nil then
					GoHv5_DeathKnight_Data.config.Menu_Transmogrify_Open_Sound = "NO";
				end

	  			if GoHv5_DeathKnight_Data.config.Menu_Fight_Music == nil then
					GoHv5_DeathKnight_Data.config.Menu_Fight_Music = "NO";
				end

	  			if GoHv5_DeathKnight_Data.config.Menu_Fatality_Sound == nil then
					GoHv5_DeathKnight_Data.config.Menu_Fatality_Sound = "NO";
				end

	  			if GoHv5_DeathKnight_Data.config.ToCatchAFrame == nil then
					GoHv5_DeathKnight_Data.config.ToCatchAFrame = "Deathknight";
				end

	  			if GoHv5_DeathKnight_Data.config.LoggedInAsClass == nil then
					GoHv5_DeathKnight_Data.config.LoggedInAsClass = "DEATHKNIGHT";
				end

	  			if GoHv5_DeathKnight_Data.config.NightElf_Racial_Shadowmeld == nil then
					GoHv5_DeathKnight_Data.config.NightElf_Racial_Shadowmeld = "YES";
				end

	  			if GoHv5_DeathKnight_Data.config.Death_Gate == nil then
					GoHv5_DeathKnight_Data.config.Death_Gate = "NO";
				end

                if GoHv5_DeathKnight_Data.config.Marrowrend == nil then
					GoHv5_DeathKnight_Data.config.Marrowrend = "NO";
				end

                if GoHv5_DeathKnight_Data.config.Death_Strike == nil then
					GoHv5_DeathKnight_Data.config.Death_Strike = "NO";
				end
				
				if GoHv5_DeathKnight_Data.config.Apocalypse == nil then
					GoHv5_DeathKnight_Data.config.Apocalypse = "NO";
				end
				
				if GoHv5_DeathKnight_Data.config.Defile == nil then
					GoHv5_DeathKnight_Data.config.Defile = "NO";
				end
				
				if GoHv5_DeathKnight_Data.config.Pillar_of_Frost == nil then
					GoHv5_DeathKnight_Data.config.Pillar_of_Frost = "NO";
				end
				
				if GoHv5_DeathKnight_Data.config.Corpse_Shield == nil then
					GoHv5_DeathKnight_Data.config.Corpse_Shield = "NO";
				end
				
				if GoHv5_DeathKnight_Data.config.Dark_Arbiter == nil then
					GoHv5_DeathKnight_Data.config.Dark_Arbiter = "NO";
				end

				-- ###### WARRIOR TAUNT Sound - YES or NO
	  			if GoHv5_DeathKnight_Data.config.Taunt == nil then
					GoHv5_DeathKnight_Data.config.Taunt = "NO";
				end
				
				-- ###### WARRIOR AVATAR Sound - YES or NO
	  			if GoHv5_DeathKnight_Data.config.Avatar == nil then
					GoHv5_DeathKnight_Data.config.Avatar = "NO";
				end
				
				-- ###### WARRIOR CHARGE Sound - YES or NO
	  			if GoHv5_DeathKnight_Data.config.Charge == nil then
					GoHv5_DeathKnight_Data.config.Charge = "NO";
				end
				
				-- ###### WARRIOR BLADESTORM Sound - YES or NO
	  			if GoHv5_DeathKnight_Data.config.Bladestorm == nil then
					GoHv5_DeathKnight_Data.config.Bladestorm = "NO";
				end
				
				-- ###### WARRIOR PUMMEL Sound - YES or NO
	  			if GoHv5_DeathKnight_Data.config.Pummel == nil then
					GoHv5_DeathKnight_Data.config.Pummel = "NO";
				end
				
				-- ###### WARRIOR INTERCEPT Sound - YES or NO
	  			if GoHv5_DeathKnight_Data.config.Intercept == nil then
					GoHv5_DeathKnight_Data.config.Intercept = "NO";
				end
				
				-- ###### WARRIOR SHOCKWAVE Sound - YES or NO
	  			if GoHv5_DeathKnight_Data.config.Shockwave == nil then
					GoHv5_DeathKnight_Data.config.Shockwave = "NO";
				end
				
				-- ###### WARRIOR EXECUTE Sound - YES or NO
	  			if GoHv5_DeathKnight_Data.config.Execute == nil then
					GoHv5_DeathKnight_Data.config.Execute = "NO";
				end
				
				-- ###### DRAGON_ROAR Sound - YES or NO
	  			if GoHv5_DeathKnight_Data.config.Dragon_Roar == nil then
					GoHv5_DeathKnight_Data.config.Dragon_Roar = "NO";
				end
				
				-- ###### THUNDER_CLAP Sound - YES or NO
	  			if GoHv5_DeathKnight_Data.config.Thunder_Clap == nil then
					GoHv5_DeathKnight_Data.config.Thunder_Clap = "NO";
				end
				
				-- ###### PRIEST MINDBENDER SOUND - YES or NO
	  			if GoHv5_DeathKnight_Data.config.Mindbender == nil then
					GoHv5_DeathKnight_Data.config.Mindbender = "NO";
				end
				
				-- ###### PRIEST SHADOWFIEND SOUND - YES or NO
	  			if GoHv5_DeathKnight_Data.config.Shadowfiend == nil then
					GoHv5_DeathKnight_Data.config.Shadowfiend = "NO";
				end
				
				-- ###### PRIEST SMITE SOUND - YES or NO
	  			if GoHv5_DeathKnight_Data.config.Smite == nil then
					GoHv5_DeathKnight_Data.config.Smite = "NO";
				end
				
				-- ###### PRIEST DISPERSION SOUND - YES or NO
	  			if GoHv5_DeathKnight_Data.config.Dispersion == nil then
					GoHv5_DeathKnight_Data.config.Dispersion = "NO";
				end
				
				-- ###### PRIEST SILENCE SOUND - YES or NO
	  			if GoHv5_DeathKnight_Data.config.Silence == nil then
					GoHv5_DeathKnight_Data.config.Silence = "NO";
				end
				
				-- ###### PRIEST LEVITATE SOUND - YES or NO
	  			if GoHv5_DeathKnight_Data.config.Levitate == nil then
					GoHv5_DeathKnight_Data.config.Levitate = "NO";
				end
				
				-- ###### PRIEST FADE SOUND - YES or NO
	  			if GoHv5_DeathKnight_Data.config.Fade == nil then
					GoHv5_DeathKnight_Data.config.Fade = "NO";
				end
				
				-- ###### PRIEST SURRENDER TO MADNESS SOUND - YES or NO
	  			if GoHv5_DeathKnight_Data.config.Surrender_to_Madness == nil then
					GoHv5_DeathKnight_Data.config.Surrender_to_Madness = "NO";
				end
				
				-- ###### PRIEST LEAP OF FAITH SOUND - YES or NO
	  			if GoHv5_DeathKnight_Data.config.Leap_of_Faith == nil then
					GoHv5_DeathKnight_Data.config.Leap_of_Faith = "NO";
				end
				
				-- ###### PRIEST PHYCHIC SCREAM SOUND - YES or NO
	  			if GoHv5_DeathKnight_Data.config.phychic_scream == nil then
					GoHv5_DeathKnight_Data.config.phychic_scream = "NO";
				end
				
				-- ###### PALLY HAND OF RECKONING SOUND - YES or NO
	  			if GoHv5_DeathKnight_Data.config.Hand_of_Reckoning == nil then
					GoHv5_DeathKnight_Data.config.Hand_of_Reckoning = "NO";
				end
				
				-- ###### PALLY AVENGING WRATH SOUND - YES or NO
	  			if GoHv5_DeathKnight_Data.config.Avenging_Wrath == nil then
					GoHv5_DeathKnight_Data.config.Avenging_Wrath = "NO";
				end
				
				-- ###### PALLY REBUKE SOUND - YES or NO
	  			if GoHv5_DeathKnight_Data.config.Rebuke == nil then
					GoHv5_DeathKnight_Data.config.Rebuke = "NO";
				end
				
				-- ###### PALLY DIVINE SHIELD SOUND - YES or NO
	  			if GoHv5_DeathKnight_Data.config.Divine_Shield == nil then
					GoHv5_DeathKnight_Data.config.Divine_Shield = "NO";
				end
				
				-- ###### PALLY SHIELD OF VENGEANCE SOUND - YES or NO
	  			if GoHv5_DeathKnight_Data.config.Shield_of_Vengeance == nil then
					GoHv5_DeathKnight_Data.config.Shield_of_Vengeance = "NO";
				end
				
				-- ###### PALLY HAMMER OF JUSTICE SOUND - YES or NO
	  			if GoHv5_DeathKnight_Data.config.Hammer_of_Justice == nil then
					GoHv5_DeathKnight_Data.config.Hammer_of_Justice = "NO";
				end
				
				-- ###### PALLY HAND OF HINDRANCE SOUND - YES or NO
	  			if GoHv5_DeathKnight_Data.config.Hand_of_Hindrance == nil then
					GoHv5_DeathKnight_Data.config.Hand_of_Hindrance = "NO";
				end
				
				-- ###### PALLY BLINDING LIGHT SOUND - YES or NO
	  			if GoHv5_DeathKnight_Data.config.Blinding_Light == nil then
					GoHv5_DeathKnight_Data.config.Blinding_Light = "NO";
				end
				
				-- ###### PALLY JUDGMENT SOUND - YES or NO
	  			if GoHv5_DeathKnight_Data.config.Judgment == nil then
					GoHv5_DeathKnight_Data.config.Judgment = "NO";
				end
				
				-- ###### PALLY CRUSADER STRIKE SOUND - YES or NO
	  			if GoHv5_DeathKnight_Data.config.Crusader_Strike == nil then
					GoHv5_DeathKnight_Data.config.Crusader_Strike = "NO";
				end
				
				-- ###### WARLOCK MORTAL COIL Sound - YES or NO
	  			if GoHv5_DeathKnight_Data.config.Mortal_Coil == nil then
					GoHv5_DeathKnight_Data.config.Mortal_Coil = "NO";
				end
				
				-- ###### WARLOCK HOWL OF TERROR Sound - YES or NO
	  			if GoHv5_DeathKnight_Data.config.Howl_of_Terror == nil then
					GoHv5_DeathKnight_Data.config.Howl_of_Terror = "NO";
				end
				
				-- ###### WARLOCK UNENDING_BREATH Sound - YES or NO
	  			if GoHv5_DeathKnight_Data.config.Unending_Breath == nil then
					GoHv5_DeathKnight_Data.config.Unending_Breath = "NO";
				end
				
				-- ###### WARLOCK UNENDING_RESOLVE Sound - YES or NO
	  			if GoHv5_DeathKnight_Data.config.Unending_Resolve == nil then
					GoHv5_DeathKnight_Data.config.Unending_Resolve = "NO";
				end
				
				-- ###### WARLOCK SOUL_HARVEST Sound - YES or NO
	  			if GoHv5_DeathKnight_Data.config.Soul_Harvest == nil then
					GoHv5_DeathKnight_Data.config.Soul_Harvest = "NO";
				end
				
				-- ###### WARLOCK RAIN_OF_FIRE Sound - YES or NO
	  			if GoHv5_DeathKnight_Data.config.Rain_Of_Fire == nil then
					GoHv5_DeathKnight_Data.config.Rain_Of_Fire = "NO";
				end
				
				-- ###### WARLOCK SUMMON_INFERNAL Sound - YES or NO
	  			if GoHv5_DeathKnight_Data.config.Summon_Infernal == nil then
					GoHv5_DeathKnight_Data.config.Summon_Infernal = "NO";
				end
				
				-- ###### WARLOCK SUMMON_DOOMGUARD Sound - YES or NO
	  			if GoHv5_DeathKnight_Data.config.Summon_Doomguard == nil then
					GoHv5_DeathKnight_Data.config.Summon_Doomgurad = "NO";
				end
				
				-- ###### WARLOCK DARK_PACT Sound - YES or NO
	  			if GoHv5_DeathKnight_Data.config.Dark_Pact == nil then
					GoHv5_DeathKnight_Data.config.Dark_Pact = "NO";
				end
				
				-- ###### WARLOCK BURNING_RUSH Sound - YES or NO
	  			if GoHv5_DeathKnight_Data.config.Burning_Rush == nil then
					GoHv5_DeathKnight_Data.config.Burning_Rush = "NO";
				end
				
				-- ###### ROGUE STEALTH Sound - YES or NO
	  			if GoHv5_DeathKnight_Data.config.Stealth == nil then
					GoHv5_DeathKnight_Data.config.Stealth = "NO";
				end
				
				-- ###### ROGUE VANISH Sound - YES or NO
	  			if GoHv5_DeathKnight_Data.config.Vanish == nil then
					GoHv5_DeathKnight_Data.config.Vanish = "NO";
				end
				
				-- ###### ROGUE SHADOW_DANCE Sound - YES or NO
	  			if GoHv5_DeathKnight_Data.config.Shadow_Dance == nil then
					GoHv5_DeathKnight_Data.config.Shadow_Dance = "NO";
				end
				
				-- ###### ROGUE PICK_POCKET Sound - YES or NO
	  			if GoHv5_DeathKnight_Data.config.Pick_Pocket == nil then
					GoHv5_DeathKnight_Data.config.Pick_Pocket = "NO";
				end
				
				-- ###### ROGUE CHEAP_SHOT Sound - YES or NO
	  			if GoHv5_DeathKnight_Data.config.Cheap_Shot == nil then
					GoHv5_DeathKnight_Data.config.Cheap_Shot = "NO";
				end
				
				-- ###### ROGUE BLIND Sound - YES or NO
	  			if GoHv5_DeathKnight_Data.config.Blind == nil then
					GoHv5_DeathKnight_Data.config.Blind = "NO";
				end
				
				-- ###### ROGUE KICK Sound - YES or NO
	  			if GoHv5_DeathKnight_Data.config.Kick == nil then
					GoHv5_DeathKnight_Data.config.Kick = "NO";
				end
				
				-- ###### ROGUE SHADOWSTEP Sound - YES or NO
	  			if GoHv5_DeathKnight_Data.config.Shadowstep == nil then
					GoHv5_DeathKnight_Data.config.Shadowstep = "NO";
				end
				
				-- ###### ROGUE SPRINT Sound - YES or NO
	  			if GoHv5_DeathKnight_Data.config.Sprint == nil then
					GoHv5_DeathKnight_Data.config.Sprint = "NO";
				end
				
				-- ###### ROGUE EVASION Sound - YES or NO
	  			if GoHv5_DeathKnight_Data.config.Evasion == nil then
					GoHv5_DeathKnight_Data.config.Evasion = "NO";
				end
				
				-- ###### MONK PARALYSIS Sound - YES or NO
	  			if GoHv5_DeathKnight_Data.config.Paralysis == nil then
					GoHv5_DeathKnight_Data.config.Paralysis = "NO";
				end
				
				-- ###### MONK PROVOKE Sound - YES or NO
	  			if GoHv5_DeathKnight_Data.config.Provoke == nil then
					GoHv5_DeathKnight_Data.config.Provoke = "NO";
				end
				
				-- ###### Druid GROWL Sound - YES or NO
	  			if GoHv5_DeathKnight_Data.config.Growl == nil then
					GoHv5_DeathKnight_Data.config.Growl = "NO";
				end
				
				-- ###### Druid CAT FORM Sound - YES or NO
	  			if GoHv5_DeathKnight_Data.config.Cat_Form == nil then
					GoHv5_DeathKnight_Data.config.Cat_Form = "NO";
				end
				
				-- ###### Druid BEAR FORM Sound - YES or NO
	  			if GoHv5_DeathKnight_Data.config.Bear_Form == nil then
					GoHv5_DeathKnight_Data.config.Bear_Form = "NO";
				end
				
				-- ###### Druid MOONKIN FORM Sound - YES or NO
	  			if GoHv5_DeathKnight_Data.config.Moonkin_Form == nil then
					GoHv5_DeathKnight_Data.config.Moonkin_Form = "NO";
				end
				
				-- ###### Druid TRAVEL FORM Sound - YES or NO
	  			if GoHv5_DeathKnight_Data.config.Travel_Form == nil then
					GoHv5_DeathKnight_Data.config.Travel_Form = "NO";
				end

				-- ###### Druid SKULL BASH Sound - YES or NO
	  			if GoHv5_DeathKnight_Data.config.Skull_Bash == nil then
					GoHv5_DeathKnight_Data.config.Skull_Bash = "NO";
				end
				
				-- ###### Druid STAMPEDING ROAR Sound - YES or NO
	  			if GoHv5_DeathKnight_Data.config.Stampeding_Roar == nil then
					GoHv5_DeathKnight_Data.config.Stampeding_Roar = "NO";
				end
				
				-- ###### Druid DASH Sound - YES or NO
	  			if GoHv5_DeathKnight_Data.config.Dash == nil then
					GoHv5_DeathKnight_Data.config.Dash = "NO";
				end
				
				-- ###### Druid PROWL Sound - YES or NO
	  			if GoHv5_DeathKnight_Data.config.Prowl == nil then
					GoHv5_DeathKnight_Data.config.Prowl = "NO";
				end
				
				-- ###### Druid STARFALL Sound - YES or NO
	  			if GoHv5_DeathKnight_Data.config.Starfall == nil then
					GoHv5_DeathKnight_Data.config.Starfall = "NO";
				end
				
				-- ###### MONK Roll Sound - YES or NO
	  			if GoHv5_DeathKnight_Data.config.Roll == nil then
					GoHv5_DeathKnight_Data.config.Roll = "NO";
				end
				
				-- ###### MONK TIGER PALM Sound - YES or NO
	  			if GoHv5_DeathKnight_Data.config.Tiger_Palm == nil then
					GoHv5_DeathKnight_Data.config.Tiger_Palm = "NO";
				end
				
				-- ###### MONK FLYING SERPENT KICK Sound - YES or NO
	  			if GoHv5_DeathKnight_Data.config.Flying_Serpent_Kick == nil then
					GoHv5_DeathKnight_Data.config.Flying_Serpent_Kick = "NO";
				end
				
				-- ###### MONK RISING SUN KICK Sound - YES or NO
	  			if GoHv5_DeathKnight_Data.config.Rising_Sun_Kick == nil then
					GoHv5_DeathKnight_Data.config.Rising_Sun_Kick = "NO";
				end
				
				-- ###### MONK BLACKOUT KICK Sound - YES or NO
	  			if GoHv5_DeathKnight_Data.config.Blackout_Kick == nil then
					GoHv5_DeathKnight_Data.config.Blackout_Kick = "NO";
				end
				
				-- ###### MONK TOUCH OF DEATH Sound - YES or NO
	  			if GoHv5_DeathKnight_Data.config.Touch_Of_Death == nil then
					GoHv5_DeathKnight_Data.config.Touch_Of_Death = "NO";
				end
				
				-- ###### MONK SPEAR HAND STRIKE Sound - YES or NO
	  			if GoHv5_DeathKnight_Data.config.Spear_Hand_Strike == nil then
					GoHv5_DeathKnight_Data.config.Spear_Hand_Strike = "NO";
				end
				
				-- ###### MONK LEG SWEEP Sound - YES or NO
	  			if GoHv5_DeathKnight_Data.config.Leg_Sweep == nil then
					GoHv5_DeathKnight_Data.config.Leg_Sweep = "NO";
				end
				
				
				-- ###### HUNTER MURDER OF CROWS Sound - YES or NO
	  			if GoHv5_DeathKnight_Data.config.A_Murder_Of_Crows == nil then
					GoHv5_DeathKnight_Data.config.A_Murder_Of_Crows = "NO";
				end
				
				-- ###### HUNTER BESTIAL_WRATH Sound - YES or NO
	  			if GoHv5_DeathKnight_Data.config.Bestial_Wrath == nil then
					GoHv5_DeathKnight_Data.config.Bestial_Wrath = "NO";
				end
				
				-- ###### HUNTER SPITTING_COBRA Sound - YES or NO
	  			if GoHv5_DeathKnight_Data.config.Spitting_Cobra == nil then
					GoHv5_DeathKnight_Data.config.Spitting_Cobra = "NO";
				end
				
				-- ###### HUNTER DIRE_BEAST Sound - YES or NO
	  			if GoHv5_DeathKnight_Data.config.Dire_Beast == nil then
					GoHv5_DeathKnight_Data.config.Dire_Beast = "NO";
				end
				
				-- ###### HUNTER COUNTER_SHOT Sound - YES or NO
	  			if GoHv5_DeathKnight_Data.config.Counter_Shot == nil then
					GoHv5_DeathKnight_Data.config.Counter_Shot = "NO";
				end
				
				-- ###### HUNTER FEIGN_DEATH Sound - YES or NO
	  			if GoHv5_DeathKnight_Data.config.Feign_Death == nil then
					GoHv5_DeathKnight_Data.config.Feign_Death = "NO";
				end
				
				-- ###### HUNTER KILL_COMMAND Sound - YES or NO
	  			if GoHv5_DeathKnight_Data.config.Kill_Command == nil then
					GoHv5_DeathKnight_Data.config.Kill_Command = "NO";
				end
				
				-- ###### HUNTER DISENGAGE Sound - YES or NO
	  			if GoHv5_DeathKnight_Data.config.Disengage == nil then
					GoHv5_DeathKnight_Data.config.Disengage = "NO";
				end
				
				-- ###### HUNTER STAMPEDE Sound - YES or NO
	  			if GoHv5_DeathKnight_Data.config.Stampede == nil then
					GoHv5_DeathKnight_Data.config.Stampede = "NO";
				end
				
				-- ###### HUNTER CAMOUFLAGE Sound - YES or NO
	  			if GoHv5_DeathKnight_Data.config.Camouflage == nil then
					GoHv5_DeathKnight_Data.config.Camouflage = "NO";
				end
				
				-- ###### DEMON HUNTER  TORMENT Sound - YES or NO
	  			if GoHv5_DeathKnight_Data.config.Torment == nil then
					GoHv5_DeathKnight_Data.config.Torment = "NO";
				end
				
				-- ###### DEMON HUNTER  NETHERWALK Sound - YES or NO
	  			if GoHv5_DeathKnight_Data.config.Netherwalk == nil then
					GoHv5_DeathKnight_Data.config.Netherwalk = "NO";
				end
				
				-- ###### DEMON HUNTER  METAMORPHOSIS Sound - YES or NO
	  			if GoHv5_DeathKnight_Data.config.Metamorphosis == nil then
					GoHv5_DeathKnight_Data.config.Metamorphosis = "NO";
				end
				
				-- ###### DEMON HUNTER  FELBLADE Sound - YES or NO
	  			if GoHv5_DeathKnight_Data.config.Felblade == nil then
					GoHv5_DeathKnight_Data.config.Felblade = "NO";
				end
				
				-- ###### DEMON HUNTER  FEL_RUSH Sound - YES or NO
	  			if GoHv5_DeathKnight_Data.config.Fel_Rush == nil then
					GoHv5_DeathKnight_Data.config.Fel_Rush = "NO";
				end
				
				-- ###### DEMON HUNTER  FEL_ERUPTION Sound - YES or NO
	  			if GoHv5_DeathKnight_Data.config.Fel_Eruption == nil then
					GoHv5_DeathKnight_Data.config.Fel_Eruption = "NO";
				end
				
				-- ###### DEMON HUNTER  GLIDE Sound - YES or NO
	  			if GoHv5_DeathKnight_Data.config.Glide == nil then
					GoHv5_DeathKnight_Data.config.Glide = "NO";
				end
				
				-- ###### DEMON HUNTER  DARKNESS Sound - YES or NO
	  			if GoHv5_DeathKnight_Data.config.Darkness == nil then
					GoHv5_DeathKnight_Data.config.Darkness = "NO";
				end
				
				-- ###### DEMON HUNTER  SPECTRAL_SIGHT Sound - YES or NO
	  			if GoHv5_DeathKnight_Data.config.Spectral_Sight == nil then
					GoHv5_DeathKnight_Data.config.Spectral_Sight = "NO";
				end
				
				-- ###### DEMON HUNTER  INFERNAL_STRIKE Sound - YES or NO
	  			if GoHv5_DeathKnight_Data.config.Infernal_Strike == nil then
					GoHv5_DeathKnight_Data.config.Infernal_Strike = "NO";
				end
				
				-- ###### MAGE    TIME_WARP Sound - YES or NO
	  			if GoHv5_DeathKnight_Data.config.Time_Warp == nil then
					GoHv5_DeathKnight_Data.config.Time_Warp = "NO";
				end
				
				-- ###### MAGE    GREATER_INVISIBILITY Sound - YES or NO
	  			if GoHv5_DeathKnight_Data.config.Greater_Invisibility == nil then
					GoHv5_DeathKnight_Data.config.Greater_Invisibility = "NO";
				end
				
				-- ###### MAGE    INVISIBILITY Sound - YES or NO
	  			if GoHv5_DeathKnight_Data.config.Invisibility == nil then
					GoHv5_DeathKnight_Data.config.Invisibility = "NO";
				end
				
				-- ###### MAGE    PRISMATIC_BARRIER Sound - YES or NO
	  			if GoHv5_DeathKnight_Data.config.Prismatic_Barrier == nil then
					GoHv5_DeathKnight_Data.config.Prismatic_Barrier = "NO";
				end
				
				-- ###### MAGE    BLAZING_BARRIER Sound - YES or NO
	  			if GoHv5_DeathKnight_Data.config.Blazing_Barrier == nil then
					GoHv5_DeathKnight_Data.config.Blazing_Barrier = "NO";
				end
				
				-- ###### MAGE    ICE_BARRIER Sound - YES or NO
	  			if GoHv5_DeathKnight_Data.config.Ice_Barrier == nil then
					GoHv5_DeathKnight_Data.config.Ice_Barrier = "NO";
				end
				
				-- ###### MAGE    MIRROR_IMAGE Sound - YES or NO
	  			if GoHv5_DeathKnight_Data.config.Mirror_Image == nil then
					GoHv5_DeathKnight_Data.config.Mirror_Image = "NO";
				end
				
				-- ###### MAGE    ICE_BLOCK Sound - YES or NO
	  			if GoHv5_DeathKnight_Data.config.Ice_Block == nil then
					GoHv5_DeathKnight_Data.config.Ice_Block = "NO";
				end
				
				-- ###### MAGE    COUNTERSPELL Sound - YES or NO
	  			if GoHv5_DeathKnight_Data.config.Counterspell == nil then
					GoHv5_DeathKnight_Data.config.Counterspell = "NO";
				end
				
				-- ###### MAGE    BLINK Sound - YES or NO
	  			if GoHv5_DeathKnight_Data.config.Blink == nil then
					GoHv5_DeathKnight_Data.config.Blink = "NO";
				end
				
				-- ###### SHAMAN   GHOST_WOLF  Sound - YES or NO
	  			if GoHv5_DeathKnight_Data.config.Ghost_Wolf == nil then
					GoHv5_DeathKnight_Data.config.Ghost_Wolf = "NO";
				end
				
				-- ###### SHAMAN   HEROISM  Sound - YES or NO
	  			if GoHv5_DeathKnight_Data.config.Heroism == nil then
					GoHv5_DeathKnight_Data.config.Heroism = "NO";
				end
				
				-- ###### SHAMAN   THUNDERSTORM  Sound - YES or NO
	  			if GoHv5_DeathKnight_Data.config.Thunderstorm == nil then
					GoHv5_DeathKnight_Data.config.Thunderstorm = "NO";
				end
				
				-- ###### SHAMAN   EARTHQUAKE  Sound - YES or NO
	  			if GoHv5_DeathKnight_Data.config.Earthquake == nil then
					GoHv5_DeathKnight_Data.config.Earthquake = "NO";
				end
				
				-- ###### SHAMAN   WIND_SHEAR  Sound - YES or NO
	  			if GoHv5_DeathKnight_Data.config.Wind_Shear == nil then
					GoHv5_DeathKnight_Data.config.Wind_Shear = "NO";
				end
				
				-- ###### SHAMAN   WATER_WALKING  Sound - YES or NO
	  			if GoHv5_DeathKnight_Data.config.Water_Walking == nil then
					GoHv5_DeathKnight_Data.config.Water_Walking = "NO";
				end
				
				-- ###### SHAMAN   ASTRAL_SHIFT  Sound - YES or NO
	  			if GoHv5_DeathKnight_Data.config.Astral_Shift == nil then
					GoHv5_DeathKnight_Data.config.Astral_Shift = "NO";
				end
				
				-- ###### SHAMAN   FERAL_SPIRIT  Sound - YES or NO
	  			if GoHv5_DeathKnight_Data.config.Feral_Spirit == nil then
					GoHv5_DeathKnight_Data.config.Feral_Spirit = "NO";
				end
				
				-- ###### SHAMAN   SPIRIT_WALK  Sound - YES or NO
	  			if GoHv5_DeathKnight_Data.config.Spirit_Walk == nil then
					GoHv5_DeathKnight_Data.config.Spirit_Walk = "NO";
				end
				
				-- ###### SHAMAN   FROST_SHOCK  Sound - YES or NO
	  			if GoHv5_DeathKnight_Data.config.Frost_Shock == nil then
					GoHv5_DeathKnight_Data.config.Frost_Shock = "NO";
				end
				
				-- ###### Death Charger Sound - YES or NO
	  			if GoHv5_DeathKnight_Data.config.Acherus_Deathcharger == nil then
					GoHv5_DeathKnight_Data.config.Acherus_Deathcharger = "NO";
				end

				-- ###### Ebon Blade Sound - YES or NO
	  			if GoHv5_DeathKnight_Data.config.Winged_Steed_of_the_Ebon_Blade == nil then
					GoHv5_DeathKnight_Data.config.Winged_Steed_of_the_Ebon_Blade = "NO";
				end

				-- ###### Use Death Charger Name - YES or NO
	  			if GoHv5_DeathKnight_Data.config.Acherus_Deathcharger_UseName == nil then
					GoHv5_DeathKnight_Data.config.Acherus_Deathcharger_UseName = "NO";
				end

				-- ###### Use Ebon Blade Name - YES or NO
	  			if GoHv5_DeathKnight_Data.config.Winged_Steed_of_the_Ebon_Blade_UseName == nil then
					GoHv5_DeathKnight_Data.config.Winged_Steed_of_the_Ebon_Blade_UseName = "NO";
				end

				-- ###### Death Charger Custom Default Name is 'Bam Bam'
	  			if GoHv5_DeathKnight_Data.config.Acherus_Deathcharger_CustomName == nil then
					GoHv5_DeathKnight_Data.config.Acherus_Deathcharger_CustomName = "Bam Bam";
				end

				-- ###### Ebon Blade Custom Default Name is 'Pebbles'
	  			if GoHv5_DeathKnight_Data.config.Winged_Steed_of_the_Ebon_Blade_CustomName == nil then
					GoHv5_DeathKnight_Data.config.Winged_Steed_of_the_Ebon_Blade_CustomName = "Pebbles";
				end

				-- WORGEN RACIAL
	  			if GoHv5_DeathKnight_Data.config.Worgen_Two_Forms_Racial == nil then
					GoHv5_DeathKnight_Data.config.Worgen_Two_Forms_Racial = "YES";
				end

				-- GNOME RACIAL
	  			if GoHv5_DeathKnight_Data.config.Gnome_Escape_Artist_Racial == nil then
					GoHv5_DeathKnight_Data.config.Gnome_Escape_Artist_Racial = "YES";
				end

				-- DRAENEI RACIAL
	  			if GoHv5_DeathKnight_Data.config.Draenei_Gift_Racial == nil then
					GoHv5_DeathKnight_Data.config.Draenei_Gift_Racial = "YES";
				end

				-- DWARVE RACIAL
	  			if GoHv5_DeathKnight_Data.config.Dwarve_Stoneform_Racial == nil then
					GoHv5_DeathKnight_Data.config.Dwarve_Stoneform_Racial = "YES";
				end

				-- PANDAREN RACIAL
	  			if GoHv5_DeathKnight_Data.config.Pandaren_Quaking_Palm_Racial == nil then
					GoHv5_DeathKnight_Data.config.Pandaren_Quaking_Palm_Racial = "YES";
				end

				-- BLOODELF RACIAL
	  			if GoHv5_DeathKnight_Data.config.BloodElf_Arcane_Torrent_Racial == nil then
					GoHv5_DeathKnight_Data.config.BloodElf_Arcane_Torrent_Racial = "YES";
				end

				-- GOBLIN RACIAL
	  			if GoHv5_DeathKnight_Data.config.Goblin_Rocket_Jump_Racial == nil then
					GoHv5_DeathKnight_Data.config.Goblin_Rocket_Jump_Racial = "YES";
				end

				-- ORC RACIAL
	  			if GoHv5_DeathKnight_Data.config.Orc_Blood_Fury_Racial == nil then
					GoHv5_DeathKnight_Data.config.Orc_Blood_Fury_Racial = "YES";
				end

				-- TAUREN RACIAL
	  			if GoHv5_DeathKnight_Data.config.Tauren_War_Stomp_Racial == nil then
					GoHv5_DeathKnight_Data.config.Tauren_War_Stomp_Racial = "YES";
				end

				-- TROLL RACIAL
	  			if GoHv5_DeathKnight_Data.config.Troll_Berserking_Racial == nil then
					GoHv5_DeathKnight_Data.config.Troll_Berserking_Racial = "YES";
				end

				-- UNDEAD RACIAL
	  			if GoHv5_DeathKnight_Data.config.Undead_Will_of_the_Forsaken_Racial == nil then
					GoHv5_DeathKnight_Data.config.Undead_Will_of_the_Forsaken_Racial = "YES";
				end

end